<div class="pre-customers">
  <layout-page-header
    [title]="'CUSTOMERS.PRE_CUSTOMERS.TITLE' | translate"
    [description]="'CUSTOMERS.PRE_CUSTOMERS.DESCRIPTION' | translate"
    [total]="(preCustomerTable$ | async)?.count "
    [tooltipMessage]="'CUSTOMERS.PRE_CUSTOMERS.TOTAL_TOOLTIP' | translate"
  >
  </layout-page-header>
  <layout-card-container>
    <pre-customers-filters></pre-customers-filters>
    <div class="pre-customers__table">
      <mo-table-with-controls
        [headers]="headers"
        [response]="preCustomerTable$ | async"
        [urlRow]="preCustomerProfileUrl"
        [isLoading]="isLoadingPreCustomers$ | async"
        (changeTableFilters)="onChangePageFilter($event)"
        (download)="onDownload()"
      ></mo-table-with-controls>
    </div>
  </layout-card-container>
</div>

<ng-template #associatedProductsTemplate let-row="row" let-header="header">
  <ng-container *ngIf="row[header?.dataKey] as products">
    <span *ngFor="let product of products; last as isLast; count as counter">
      {{product?.name}}
      <span *ngIf="!isLast">,</span>
    </span>
    <span *ngIf="products?.length <= 0">-</span>
  </ng-container>
</ng-template>
